## org.apache.poi.hwpf.usermodel
Enum OfficeDrawing.VerticalPositioning

    java.lang.Object
      java.lang.Enum<OfficeDrawing.VerticalPositioning>
          org.apache.poi.hwpf.usermodel.OfficeDrawing.VerticalPositioning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OfficeDrawing.VerticalPositioning>

Enclosing interface:
  OfficeDrawing

    public static enum OfficeDrawing.VerticalPositioning

extends java.lang.Enum<OfficeDrawing.VerticalPositioning>

Enum Constant Summary
`ABSOLUTE` The shape is vertically offset by an absolute distance from the page element
`BOTTOM` The shape is vertically positioned at the bottom of the page element
`CENTER` The shape is vertically positioned in the center of the page element
`INSIDE` The shape is vertically positioned like msopvTop on odd-numbered pages and like msopvBottom on even-numbered pages
`OUTSIDE` The shape is vertically positioned like `BOTTOM` on odd-numbered pages and like `TOP` on even-numbered pages
`TOP` The shape is vertically positioned at the top of the page element

Method Summary
`static OfficeDrawing.VerticalPositioning` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OfficeDrawing.VerticalPositioning[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABSOLUTE

    public static final OfficeDrawing.VerticalPositioning ABSOLUTE

  The shape is vertically offset by an absolute distance from the page element

### BOTTOM

    public static final OfficeDrawing.VerticalPositioning BOTTOM

  The shape is vertically positioned at the bottom of the page element

### CENTER

    public static final OfficeDrawing.VerticalPositioning CENTER

  The shape is vertically positioned in the center of the page element

### INSIDE

    public static final OfficeDrawing.VerticalPositioning INSIDE

  The shape is vertically positioned like msopvTop on odd-numbered pages and like msopvBottom on even-numbered pages

### OUTSIDE

    public static final OfficeDrawing.VerticalPositioning OUTSIDE

  The shape is vertically positioned like `BOTTOM` on odd-numbered pages and like `TOP` on even-numbered pages

### TOP

    public static final OfficeDrawing.VerticalPositioning TOP

  The shape is vertically positioned at the top of the page element

Method Detail

### values

    public static OfficeDrawing.VerticalPositioning[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OfficeDrawing.VerticalPositioning c : OfficeDrawing.VerticalPositioning.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OfficeDrawing.VerticalPositioning valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.